/**
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 */

#ifndef __GST_MEDIA_INFO_H__
#define __GST_MEDIA_INFO_H__

#include <gnome.h>

G_BEGIN_DECLS
#define GST_TYPE_MEDIA_INFO            (gst_media_info_get_type ())
#define GST_MEDIA_INFO(object)         (G_TYPE_CHECK_INSTANCE_CAST ((object), GST_TYPE_MEDIA_INFO, GstMediaInfo))
#define GST_MEDIA_INFO_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), GST_TYPE_MEDIA_INFO, GstMediaInfoClass))
#define GST_IS_MEDIA_INFO(object)      (G_TYPE_CHECK_INSTANCE_TYPE ((object), GST_TYPE_MEDIA_INFO))
#define GST_MEDIA_INFO_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), GST_TYPE_MEDIA_INFO, GstMediaInfoClass))
typedef struct _GstMediaInfo GstMediaInfo;
typedef struct _GstMediaInfoClass GstMediaInfoClass;
typedef struct _GstMediaInfoPrivate GstMediaInfoPrivate;

struct _GstMediaInfo
{
  GtkDialog dialog;

  GstMediaInfoPrivate *_priv;
};

struct _GstMediaInfoClass
{
  GtkDialogClass parent_class;
};

GType
gst_media_info_get_type (void)
    G_GNUC_CONST;
     GtkWidget *gst_media_info_new (const gchar * location);
     void gst_media_info_construct (GstMediaInfo * media_info,
    const gchar * location);

G_END_DECLS
#endif /* __GST_MEDIA_INFO_H__ */
